Subject: Re: [GOST] public_key в pygost

From: Sergey Matveev <[email-masked]>
Date: Fri, 24 Nov 2017 10:12:11 +0300

Приветствую!

*** Гневашев Дмитрий [2017-11-24 10:08]:
>Функция public_key() возвращает два значения, которые можно
>использовать для проверки подписи. Однако организация, для который мы
>подписываем документы запрашивает один public key. Почитав алгоритм, я понял,
>что по сути это - координаты точки x и y. Вопрос, что принимают на той
>стороне, как преобразовать это в один public key? Там, судя по всему,
>используется модуль для Java от КриптоПро. Кто-нибудь знаком с этим модулем?
>Их тех.поддержка пока не понимает мои вопросы об x и y.

Необходимо использовать функцию pygost.gost3410:pub_marshal.
https://git.cypherpunks.ru/cgit.cgi/pygost.git/tree/pygost/gost3410.py#n275
Она преобразует координаты точки (x, y) в байтовое представление,
которое будет работать с КриптоПро.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF